Subject: Re: iptables breakage WAS(Re: dummy as IMQ replacement

From: Andy Furniss <[email-masked]>
Date: Wed, 23 Mar 2005 23:12:48 +0000

Andy Furniss wrote:
> jamal wrote:
> 
>> On Wed, 2005-03-23 at 15:53, Andy Furniss wrote:
>>
>>
>>> but I can now follow the action ipt MARK line with an action mirred ..
>>>
>>> and I just get the MARK error
>>>
>>> tablename: mangle hook: NF_IP_PRE_ROUTING
>>>         target: MARK set 0x1  index 0
>>> RTNETLINK answers: Invalid argument
>>> We have an error talking to the kernel
>>>
>>>
>>
>>
>> Ok, this is my worry - that it works when everything is compiled in
>> but not when as modules.
>> So when you rebuild compile everything in.
> 
> 
> Compiled everything in but it still doesn't work.
> 
> Andy.

Noticed I get this in logs

Mar 23 23:11:18 amd kernel: MARK: targinfosize 8 != 4

Andy.